#include <bits/stdc++.h>
using namespace std;
#define ll long long
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll n,k;
    cin>>n>>k;
    vector<ll>v(n+1);
    for(int i=1;i<=n;i++)
    {
        cin>>v[i];
    }
    ll s=0;
    for(int i=1;i<=n;i++)
    {
        if(v[i]==1)
        {
            s++;
        }
    }
    if(k<=s)
    {
        cout<<1;
    }
    else
        cout<<0;
}
